Skip to main content
GET
/
v2
/
entities
/
{entity_id}
/
field-history
List Entity Field Value History
curl --request GET \
  --url https://public.api.serval.com/v2/entities/{entity_id}/field-history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "entityId": "<string>",
      "fieldId": "<string>",
      "fieldKey": "<string>",
      "fieldName": "<string>",
      "dataType": "DATA_TYPE_UNSPECIFIED",
      "value": 123,
      "setByUserId": "<string>",
      "setByAppInstanceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "pinned": true
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity_id
string
required

The ID of the entity.

Query Parameters

fieldId
string

Optional: filter by a specific field ID.

fieldKey
string

Optional: filter by a specific field key (alternative to field_id).

pageSize
integer<int32>

Maximum number of results to return. Default is 100, maximum is 1000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
EntityFieldValue · object[]

The list of field value history entries, ordered by most recent first.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.